# 32/64 specfile

Summary:	A powerful GTK+ 3.x media player
Summary(de):	Ein mächtiger GTK3 Media Player
Name:		exaile
Version:	4.1.3
Release:	%mkrel 1
Source0:	http://www.exaile.org/files/%{name}-%{version}.tar.xz
URL:		http://www.exaile.org/
Group:		Sound
License:	GPLv2+
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
#BuildRequires:	pygtk2.0-devel
BuildRequires:	python3-devel
BuildRequires:	intltool
BuildRequires:	perl(XML::Parser)
#Requires:	pygtk2.0
Requires:       pyxdg
Requires:	gstreamer1.0-python3
Requires:	gstreamer1.0-plugins-good >= 1.4
Requires:	gstreamer1.0-plugins-base >= 1.6 
Requires:	python3-dbus
Requires:	python3-mutagen
Requires:	python3-notify2
Requires:	python3-musicbrainzngs
Requires:	python3-lxml
Requires:	python3-zeroconf
Requires:	python3
Requires:	python3-pyinotify
Requires:	python3-bsddb3
Requires:   python3-feedparser
Requires:	python3-discid
Obsoletes: 	%{name} < %version

%description
Exaile is a media player aiming to be similar to KDE's AmaroK,
but for GTK+ 3.x. It incorporates many of the cool things from AmaroK
(and other media players).

Some of the features are:
- automatic fetching of album art
- handling of large libraries 
- lyrics fetching
- artist/album information via the wikipedia
- last.fm support
- optional iPod support (assuming you have python-gpod installed).
- builtin shoutcast directory browser
- tabbed playlists
- blacklisting of tracks
- downloading of guitar tabs from fretplay.com
- submitting played tracks on the iPod to last.fm

%description -l fr
Exaile est un lecteur multimédia qui vise à être semblables à AmaroK KDE,
mais pour GTK + 3.x. Il incorpore la plupart des choses cool de AmaroK
(et d'autres lecteurs multimédia).

%description -l de
Ein mächtiger GTK3 Media Player. Exaile ist ein Media Player der darauf 
abzielt, ähnlich wie KDE's AmaroK zu sein, aber für GTK3. Er vereinigt 
viele tolle Eigenschaften von AmaroK (und auch anderen Media Playern). 
Einige der Eigenschaften:
* automatisches holen der Album Art-Verwaltung von großen Sammlungen
* Liedtexte holen
* Künstler/Album Informationen von wikepedia
* last.fm Unterstützung
* iPod Unterstützung (vorausgesetzt, du hast Python-gpod installiert)
* integrierter shoutcast Verzeichnis Browser
* mehrfache Playlisten
* ausschließen von Stücken
* herunterladen von Gitarren-akkorden von fretplay.com
* vorschlagen der gespielten Stücke vom iPod in last.fm

%description -l es
Exaile es un reproductor multimedia con el objetivo de ser similar al Amarok de KDE,
pero para GTK + 3.x. Incorpora muchas de las cosas interesantes de AmaroK
(y otros reproductores multimedia).

%description -l pl
Exaile jest odtwarzacz multimedialny, których celem jest podobna do AmaroK KDE,
ale dla GTK + 3.x. Zawiera wiele fajnych rzeczy z AmaroK
(i inne odtwarzacze multimedialne).

%description -l nl
Exaile is een mediaspeler die gericht zijn te vergelijken is met KDE's AmaroK,
maar voor GTK + 3.x. Het bevat veel van de coole dingen uit AmaroK
(en andere media spelers).



%prep
%setup -q
#tar xf %{SOURCE1} -C plugins/
%apply_patches

%build
export CFLAGS="%{optflags}"
%make

%install
rm -rf %{buildroot}
%makeinstall_std PREFIX=%{_prefix} LIBINSTALLDIR=%{_datadir} DESTDIR=%{buildroot}

desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

#install -m 0644 %SOURCE2 %{buildroot}%{_datadir}/%{name}/data/images/splash.png


# Find the localization
%find_lang %{name}

%post
%{update_menus}
%{update_desktop_database}

%postun
%{update_menus}
%{clean_desktop_database}

%clean 
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root)
%dir %{_datadir}/%{name}
%dir %{_sysconfdir}/xdg/exaile
%{_sysconfdir}/xdg/exaile/settings.ini
%{_bindir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/applications/*
%{_datadir}/dbus-1/services/org.exaile.Exaile.service
%{_iconsdir}/hicolor/*
%{_datadir}/metainfo/exaile.appdata.xml
%{_datadir}/bash-completion/completions/exaile
%{_datadir}/fish/vendor_completions.d/exaile.fish
%{_mandir}/man1/%{name}.*



%changelog
* Tue Aug 08 2023 daniel - 4.1.3-1pclos2023
- new version

* Mon Oct 03 2022 daniel - 4.1.2-1pclos2022
- new version
- edit description

* Thu Aug 25 2022 TerryN <terryn94 at gmail.com>  4.1.1-4pclos2022
- rebuild for python 3.10

* Sat Oct 30 2021 daniel - 4.1.1-3pclos2021
- fix mutagen issues

* Thu May 06 2021 tex - 4.1.1-2pclos2021
- add dep python3-feedparser

* Sun May 01 2021 daniel <> 4.1.1-1pclos2021
- update

* Fri Mar 06 2020 daniel <meisssw01 at gmail.com> 4.0.2-1pclos2020
- update

* Sun Feb 16 2014 bb <bb> 3.3.1-1pclos2014
- update

* Sat Nov 02 2013 billybot <billybot> 3.2.2-3pclos2013
- drop Req gnome-python-gtkmozembed as it is dead

* Fri Aug 16 2013 billybot <billybot> 3.2.2-2pclos2013
- update python 2.7

* Thu Mar 28 2013 daniel <meisssw01 at gmail.com> 3.2.2-1pclos2013
- upstream tarball
- add patch to get it compiled
- corrected german description

* Sun Nov 27 2011 Texstar <texstar at gmail.com> 0.3.2.2-1pclos2011
- 0.3.2.2

* Thu Jun 16 2011 Texstar <texstar at gmail.com> 0.3.2.1-2pclos2011
- splash me baby one more time

* Fri Apr 08 2011 Texstar <texstar at gmail.com> 0.3.2.1-1pclos2011
- 0.3.2.1

* Tue Sep 14 2010 Texstar <texstar at gmail.com> 0.3.2.0-1pclos2010
- 0.3.2.0

* Mon Sep 13 2010 Texstar <texstar at gmail.com> 0.3.1.1-3pclos2010
- rebuild against python 2.6

* Thu Jun 24 2010 Texstar <texstar at gmail.com> 0.3.1.1-2pclos2010
- add dependency gstreamer0.10-neon

* Mon Apr 19 2010 MBantz <martin dot bantz at gmail dot com> 0.3.1.1-1pclos2010
- 0.3.1.1

* Sat Mar 13 2010 slick50 <lxgator@gmail.com> 0.3.0.2-1pclos2010
- 0.3.0.2

* Sun Sep 20 2009 Texstar <texstar at mail.com> 0.3.0.1-1pclos2009
- 0.3.0.1
 
* Thu Aug 27 2009 slick50 <lxgator@gmail.com> 0.3.0-1pclos2009
- 0.3.0
- fix menu entry (Tex)

* Tue Jun 02 2009 Texstar <texstar@gmail.com. 0.2.14-3pclos2009
- add custom splash

* Tue May 12 2009 Texstar <texstar@gmail.com> 0.2.14-2pclos2009
- rebuild against updated xulrunner


